# Start familiarizing yourself

## Start familiarising yourself with the Extra Horizon Platform

### Example: Creating a new user via the Control Center

* Navigate to <https://app.extrahorizon.com>
* Login with the admin credentials that you received
* Under the "Services" section, select "Users"
* In the right top click on "New" where you can now add a new user

### Example: Get to know the Extra Horizon API - **Fetching a user via the SDK**

This example shows how to:

* Create an oAuth1 client in the SDK
* Authenticate that client in the SDK
* Do a `exh.users.me` call in the SDK

{% tabs %}
{% tab title="Javascript" %}
{% code overflow="wrap" lineNumbers="true" %}

```javascript
const { createOAuth1Client } = require('@extrahorizon/javascript-sdk');

retrieveMyUser();

async function retrieveMyUser() {
    // Create an OAuth1 client to connect to Extra Horizon
    const exh = createOAuth1Client({
        host: '<your_exh_host>', 
        consumerKey: '<your_consumer_key>',
        consumerSecret: '<your_consumer_secret>',
    });

    // Authenticate the client with your user credentials, this will generate new OAuth1 tokens
    await exh.auth.authenticate({
        email: '<your_user_email>', 
        password: '<your_user_password>',
    });

    // Use the client to fetch your user information
    const me = await exh.users.me();
    console.log('User: ', me)
}
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.extrahorizon.com/extrahorizon/getting-started/start-familiarizing-yourself-with.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
